#ifndef INFO_H
#define INFO_H

class type_information
{
public:
	std::string Formule;
	double x0;
	double y0, y1;
	unsigned int ordre;

	double xmin, xmax, ymin, ymax;
	double dx;
	double Epsilon;
	
	type_information() {};
	type_information(std::istream& i)
	{
		i >> Formule >> x0 >> y0 >> y1 >> ordre >> xmin >> xmax >> ymin >> ymax >> dx >> Epsilon;
	}
};

#endif
